/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */


var linewidth = 48;
var devtype = "epson";
var device = "/dev/usb/lp0";

function loadSettings() {
    if (localStorage.getItem("linewidth") !== null && Number.parseInt(localStorage.getItem("linewidth")) != Number.NaN) {
        linewidth = Number.parseInt(localStorage.getItem("linewidth"));
    }
    if (localStorage.getItem("devtype") !== null) {
        devtype = localStorage.getItem("devtype");
        if (devtype != "epson" && devtype != "star") {
            devtype = "epson";
        }
    }
    if (localStorage.getItem("device") !== null) {
        device = localStorage.getItem("device");
    }
}

loadSettings();